Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.logging
Class AntLoggingAdapter

    java.lang.Object
      org.gradle.logging.AntLoggingAdapter

All Implemented Interfaces:
  java.util.EventListener, org.apache.tools.ant.BuildListener, org.apache.tools.ant.BuildLogger

    public class AntLoggingAdapter

extends java.lang.Object
implements org.apache.tools.ant.BuildLogger

Constructor Summary
`AntLoggingAdapter()`

Method Summary
`void` | `buildFinished(org.apache.tools.ant.BuildEvent event)`
`void` | `buildStarted(org.apache.tools.ant.BuildEvent event)`
`void` | `messageLogged(org.apache.tools.ant.BuildEvent event)`
`void` | `setEmacsMode(boolean emacsMode)`
`void` | `setErrorPrintStream(java.io.PrintStream err)`
`void` | `setMessageOutputLevel(int level)`
`void` | `setOutputPrintStream(java.io.PrintStream output)`
`void` | `targetFinished(org.apache.tools.ant.BuildEvent event)`
`void` | `targetStarted(org.apache.tools.ant.BuildEvent event)`
`void` | `taskFinished(org.apache.tools.ant.BuildEvent event)`
`void` | `taskStarted(org.apache.tools.ant.BuildEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AntLoggingAdapter

    public AntLoggingAdapter()

Method Detail

### setMessageOutputLevel

    public void setMessageOutputLevel(int level)

  Specified by:
    `setMessageOutputLevel` in interface `org.apache.tools.ant.BuildLogger`

### setOutputPrintStream

    public void setOutputPrintStream(java.io.PrintStream output)

  Specified by:
    `setOutputPrintStream` in interface `org.apache.tools.ant.BuildLogger`

### setEmacsMode

    public void setEmacsMode(boolean emacsMode)

  Specified by:
    `setEmacsMode` in interface `org.apache.tools.ant.BuildLogger`

### setErrorPrintStream

    public void setErrorPrintStream(java.io.PrintStream err)

  Specified by:
    `setErrorPrintStream` in interface `org.apache.tools.ant.BuildLogger`

### buildStarted

    public void buildStarted(org.apache.tools.ant.BuildEvent event)

  Specified by:
    `buildStarted` in interface `org.apache.tools.ant.BuildListener`

### buildFinished

    public void buildFinished(org.apache.tools.ant.BuildEvent event)

  Specified by:
    `buildFinished` in interface `org.apache.tools.ant.BuildListener`

### targetStarted

    public void targetStarted(org.apache.tools.ant.BuildEvent event)

  Specified by:
    `targetStarted` in interface `org.apache.tools.ant.BuildListener`

### targetFinished

    public void targetFinished(org.apache.tools.ant.BuildEvent event)

  Specified by:
    `targetFinished` in interface `org.apache.tools.ant.BuildListener`

### taskStarted

    public void taskStarted(org.apache.tools.ant.BuildEvent event)

  Specified by:
    `taskStarted` in interface `org.apache.tools.ant.BuildListener`

### taskFinished

    public void taskFinished(org.apache.tools.ant.BuildEvent event)

  Specified by:
    `taskFinished` in interface `org.apache.tools.ant.BuildListener`

### messageLogged

    public void messageLogged(org.apache.tools.ant.BuildEvent event)

  Specified by:
    `messageLogged` in interface `org.apache.tools.ant.BuildListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD